// ***********************************************************************************************************************
// ** File:         crc.h                                                                                               **
// ** Title:        Routine for Checksum                                                                                **
// ** CPU:          ATMega644                                                                                           **
// ** Created:      28.02.2008                                                                                          **
// ** Revised:      28.02.2008                                                                                          **
// ** Version:      1.0                                                                                                 **
// ** Note:                                                                                                             **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// ***********************************************************************************************************************

// COMPILER INFORMATION **************************************************************************************************
#ifndef CRC_H                                                               //
#define CRC_H                                                               //
// ***********************************************************************************************************************

// INCLUDES **************************************************************************************************************
                                                                            //
// ***********************************************************************************************************************

// DEFINES ***************************************************************************************************************
                                                                            //
// ***********************************************************************************************************************

// VARIABLES *************************************************************************************************************
                                                                            //
// ***********************************************************************************************************************

// FUNCTIONS *************************************************************************************************************
unsigned long ChangeEndian32bit( unsigned long Wert);                       // 
unsigned int ChangeEndian16bit( unsigned int Wert);                         // 
int Checksum_16 (unsigned char * pointer, unsigned int headerlenght);       // 
// ***********************************************************************************************************************
#endif
