// ***********************************************************************************************************************
// ** File:         http.h                                                                                              **
// ** Title:        Routine for HTTP Protocol                                                                           **
// ** CPU:          AT89C51ED2                                                                                          **
// ** Created:      23.04.2007                                                                                          **
// ** Revised:      23.04.2007                                                                                          **
// ** Version:      1.0                                                                                                 **
// ** Note:                                                                                                             **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// ***********************************************************************************************************************

// COMPILER INFORMATION **************************************************************************************************
#ifndef HTTP_H                                                              //
#define HTTP_H                                                              //
// ***********************************************************************************************************************

// INCLUDES **************************************************************************************************************
#include "tcp.h"                                                            //
#include "enc28j60.h"                                                       //
//#include "lcd.h"                                                            //
//#include "eeprom.h"                                                         //
#include "global.h"
#include "httpdata.h"                                                       //
#include <stdlib.h>                                                         //
#include <avr/pgmspace.h>

//#include "debug.h"                                                          //
// ***********************************************************************************************************************

// DEFINES ***************************************************************************************************************
                                                                            //
// ***********************************************************************************************************************

// VARIABLES *************************************************************************************************************
                                                                            //
// ***********************************************************************************************************************

// FUNCTIONS *************************************************************************************************************
//unsigned int http_data_out (const char  *http_string,unsigned int seq_no);//
unsigned int http_data_out (PGM_P pointer, unsigned int seq_no);   // rckgabewert = grsse des letzten Paketes
/*
void http_io_data (unsigned char *datastart);                               //
void http_io (void);                                                            //
unsigned long http_asc_to_ip (unsigned char *ascip);                        //
void http_setup_data (unsigned char *datastart);                            //
void http_mail_data(unsigned char *datastart);                              //
void http_setup (void);                                                         //
void http_favicon (void);                                                       //
void http_mail (void);                                                          //
void http_dyndata (void);                                                       //
void http_configip (void);                                                      //
void http_configmail (void);                                                    //
*/
// ***********************************************************************************************************************
#endif
